| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
GaudiKernel.GaudiHandles.PublicToolHandleArray Class Reference
Inheritance diagram for GaudiKernel.GaudiHandles.PublicToolHandleArray:
[legend]
Collaboration diagram for GaudiKernel.GaudiHandles.PublicToolHandleArray:
[legend]

## Public Member Functions
def | __init__ (self, toolTypesAndNames=None)
Public Member Functions inherited from GaudiKernel.GaudiHandles.GaudiHandleArray
def | __repr__ (self)
def | __str__ (self)
def | __getitem__ (self, index)
def | __delitem__ (self, key)
def | __iadd__ (self, array)
def | append (self, value)
def | isPublic (self)
def | toStringProperty (self)
def | __getstate__ (self)
def | __setstate__ (self, dict)

## Static Public Attributes
| handleType = PublicToolHandle
Static Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandleArray
| handleType = None

## Static Private Attributes
tuple | __slots__ = ()

## Additional Inherited Members
Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandleArray
| typesAndNames

## Detailed Description

Definition at line 235 of file GaudiHandles.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiKernel.GaudiHandles.PublicToolHandleArray.__init__ | ( |  | self,
|  |  | toolTypesAndNames = `None`
| ) |  |

Reimplemented from GaudiKernel.GaudiHandles.GaudiHandleArray.

Definition at line 239 of file GaudiHandles.py.

239 def __init__(self, toolTypesAndNames=None):
240 GaudiHandleArray.__init__(self, toolTypesAndNames)
241
242

## Member Data Documentation

## ◆ __slots__

tuple GaudiKernel.GaudiHandles.PublicToolHandleArray.__slots__ = ()
| static private

Definition at line 236 of file GaudiHandles.py.

## ◆ handleType

GaudiKernel.GaudiHandles.PublicToolHandleArray.handleType = PublicToolHandle
| static

Definition at line 237 of file GaudiHandles.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/GaudiHandles.py